package com.liang.entity;

import lombok.Data;

import java.sql.Date;
import java.io.Serializable;

/**
 * 差旅费(StaTravelexpenses)实体类
 *
 * @author makejava
 * @since 2023-04-26 09:50:01
 */
@Data
public class StaTravelexpenses implements Serializable {
    private static final long serialVersionUID = -21979016525375710L;

    private Integer id;
    /**
     * 主表
     */
    private Integer zb;
    /**
     * 序号
     */
    private String xh;
    /**
     * 出差人
     */
    private Integer ccr;
    private String ccrxm;
    /**
     * 出差地点
     */
    private String ccdd;
    /**
     * 起始日期
     */
    private Date qsrq;
    /**
     * 交通费(元)
     */
    private Double jtf;
    /**
     * 住宿费(元)
     */
    private Double zsf;
    /**
     * 差补(元)
     */
    private Double cb;
    /**
     * 结束日期(含)
     */
    private Date jsrq;
    /**
     * 出差天数
     */
    private Double ccts;
    /**
     * 总计
     */
    private Double zj;
    /**
     * 日平均
     */
    private Double rpj;

    /**
     * 项目负责人
     *
     * @return
     */
    private String xmfzr;
    //费用申请
    private Double fysq;

    /**
     * 报账费用（含税）
     *
     * @return
     */
    private Double bzfyhs;
    /**
     * 报账费用（不含税）
     *
     * @return
     */
    private Double bzfybhs;
    /**
     * 科研费号
     *
     * @return
     */
    private String kyfh;

    /**
     * 出差事由
     *
     * @return
     */
    private String ccsy;

    public String getCcsy() {
        return ccsy;
    }

    public void setCcsy(String ccsy) {
        this.ccsy = ccsy;
    }

    public Double getFysq() {
        return fysq;
    }

    public void setFysq(Double fysq) {
        this.fysq = fysq;
    }

    public String getXmfzr() {
        return xmfzr;
    }

    public void setXmfzr(String xmfzr) {
        this.xmfzr = xmfzr;
    }

    public Double getBzfyhs() {
        return bzfyhs;
    }

    public void setBzfyhs(Double bzfyhs) {
        this.bzfyhs = bzfyhs;
    }

    public Double getBzfybhs() {
        return bzfybhs;
    }

    public void setBzfybhs(Double bzfybhs) {
        this.bzfybhs = bzfybhs;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getZb() {
        return zb;
    }

    public void setZb(Integer zb) {
        this.zb = zb;
    }


    public Integer getCcr() {
        return ccr;
    }

    public void setCcr(Integer ccr) {
        this.ccr = ccr;
    }

    public String getCcrxm() {
        return ccrxm;
    }

    public void setCcrxm(String ccrxm) {
        this.ccrxm = ccrxm;
    }

    public String getCcdd() {
        return ccdd;
    }

    public void setCcdd(String ccdd) {
        this.ccdd = ccdd;
    }

    public Date getQsrq() {
        return qsrq;
    }

    public void setQsrq(Date qsrq) {
        this.qsrq = qsrq;
    }

    public Double getJtf() {
        return jtf;
    }

    public void setJtf(Double jtf) {
        this.jtf = jtf;
    }

    public Double getZsf() {
        return zsf;
    }

    public void setZsf(Double zsf) {
        this.zsf = zsf;
    }

    public Double getCb() {
        return cb;
    }

    public void setCb(Double cb) {
        this.cb = cb;
    }

    public Date getJsrq() {
        return jsrq;
    }

    public void setJsrq(Date jsrq) {
        this.jsrq = jsrq;
    }

    public Double getCcts() {
        return ccts;
    }

    public void setCcts(Double ccts) {
        this.ccts = ccts;
    }

    public Double getZj() {
        return zj;
    }

    public void setZj(Double zj) {
        this.zj = zj;
    }

    public Double getRpj() {
        return rpj;
    }

    public void setRpj(Double rpj) {
        this.rpj = rpj;
    }

    public String getKyfh() {
        return kyfh;
    }

    public void setKyfh(String kyfh) {
        this.kyfh = kyfh;
    }
}

